xtset id year
*------Table3主回归-----
reghdfe f2.Patent_tr i.treat##i.post  if year>2011&year<2023, a(year  id)vce(r)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth LEV CFO  if year>2011&year<2023, a(year id)vce(r)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth LEV CFO GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
*------平行趋势检验-----
/*tab year if year>2011&year<2023,ge(Y)
forv i=1/11 {
genicv treat Y`i'
}*/  
reghdfe f2.Patent_tr  treat_Y3 treat_Y4 treat_Y5 treat_Y7 treat_Y8  treat_Y9  treat_Y6  ROA Size Growth LEV  GDPPerCapita  if year>2013&year<2023, a(year id) vce(cluster year 省份 )	
coefplot, baselevels keep(treat_Y*) vertical yline(0,lcolor(edkblue*0.8)) xline(4, lwidth(vthin) lpattern(dash) lcolor(teal)) ylabel(,labsize(*0.75)) xlabel(,labsize(*0.75)) ytitle("政策动态效应", size(small)) xtitle("时间" size(small)) addplot(line @b @at) ciopts(lpattern(dash) recast(rcap) msize(medium)) msymbol(circle_hollow) scheme(s1mono) levels(95) nolabels omitted order( treat_Y3 treat_Y4 treat_Y5 treat_Y6 treat_Y7 treat_Y8 treat_Y9 ) 

*------Table4第一类代理成本--------------	
reghdfe f.Perks i.treat##i.post ROA Size Growth  LEV   GDPPerCapita  if year>2011&year<2023, a(year id) vce(r)              //福利费用率
reghdfe f.Turnover i.treat##i.post ROA Size Growth  LEV  GDPPerCapita  if year>2011&year<2023, a(year id) vce(r)            //资产周转率		
reghdfe Unpay c.treat##c.post ROA_tr Size_tr Growth_tr LEV GDPPerCapita_tr if year>2011&year<2023, a(year  id )vce(cl year) //超额薪酬	
																																
*------Table5债务融资成本--------------
reghdfe f.netexp_liability i.treat##i.post ROA Size  Growth LEV   GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.int_liability i.treat##i.post ROA Size  Growth LEV  GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.netexp_loan i.treat##i.post ROA Size  Growth LEV  GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.int_loan i.treat##i.post ROA Size  Growth LEV  GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.aint_liability i.treat##i.post ROA Size  Growth LEV   GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.aint_loan i.treat##i.post ROA Size  Growth LEV    GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
reghdfe f.anetexp_loan i.treat##i.post ROA Size  Growth LEV   GDPPerCapita if year>2011&year<2023, a(year id)vce(r)
reghdfe f.anetexp_liability i.treat##i.post ROA Size  Growth LEV   GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)

*------Table6异质性------- 
//1、公司属性///  
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita  if year>2011&year<2023& Own==1, a(year  id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita  if year>2011&year<2023& Own==0, a(year  id)
///2、信用评级/
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita if year>2011&year<2023& grouprating==1, a(year  id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita if year>2011&year<2023& grouprating==0, a(year id)
///3、银行竞争度///
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita if year>2011&year<2023& grouphhi==1, a(year  id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita if year>2011&year<2023& grouphhi==0, a(year id)
///4、政策冲击前银企关联强度///
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV CFO  GDPPerCapita  if year>2011&year<2023& bank_lia==1, a(year  id)vce(r)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV CFO  GDPPerCapita  if year>2011&year<2023& bank_lia==0, a(year  id)vce(r)


*------稳健性检验----------
///提前一期和提前三期
reghdfe f.Patent_tr i.treat##i.post ROA Size  Growth  LEV   GDPPerCapita  if year>2011&year<2023, a(year  id)vce(r)
reghdfe f3.Patent_tr i.treat##i.post ROA Size  Growth  LEV  CFO  GDPPerCapita if year>2011&year<2023, a(year  id)vce(r)
///替换被解释变量
reghdfe f2.Umiget i.treat##i.post ROA Size_tr  Growth_tr  LEV   GDPPerCapita  if year>2011&year<2023, a(year  id)
//heckman
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth_tr  LEV    GDPPerCapita  IMR if year>2011&year<2023, a(year id)


*-------第二类代理成本------
reghdfe f.Agency_cost1 i.treat##i.post ROA Size Growth  LEV   GDPPerCapita  if year>2011&year<2023, a(year id)vce(r)
reghdfe f.Agency_cost2 i.treat##i.post ROA Size Growth  LEV   GDPPerCapita  if year>2011&year<2023, a(year id)vce(r)  //侵占型关联交易占营业收入的比重

*-------融资约束分组回归-----
reghdfe f2.Patent_tr c.treat##c.post ROA Size_tr  Growth_tr  LEV    GDPPerCapita  if year>2011&year<2023& groupFC==1, a(year id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size_tr  Growth_tr  LEV    GDPPerCapita  if year>2011&year<2023& groupFC==0, a(year  id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita if year>2011&year<2023& groupKZ==1, a(year id)
reghdfe f2.Patent_tr i.treat##i.post ROA Size  Growth  LEV    GDPPerCapita  if year>2011&year<2023& groupKZ==0, a(year id)